Spigot CityWorld v4.05

The great outdoors is all fine and good but sometimes you just want to go to town.

  1. DaddyChurchill submitted a new resource:

    CityWorld - The great outdoors is all fine and good but sometimes you just want to go to town.

    Read more about this resource...
     
  2. Hehe, I remember when this plugin was still when looks to be 0.10 from the changelogs. This brings back memories. It also brings some scheming for my plans.
     
  3. Daddy <3 nice to see you here ! And still waiting for a "I'm am a legend" style :p ! Also your mazerunner thing are fantastic ! :)
     
  4. So this generates a city world or something along the lines of it? Do buildings repeat in style and stuff?
     
  5. The buildings are procedurally generated with randomization of interiors and building materials. To see more examples of what is generated including what happens under ground feel free to head over to http://dev.bukkit.org/server-mods/cityworld/images to see examples. Remember though I had to disable most of the other world styles until I finish validating it all working under Spigot/Bukkit 1.8. Maybe I will finish that this weekend
     
    • Informative Informative x 1
  6. Definitely will give this a try when updated ;) Good stuff man.
     
  7. Afraid I get an error upon the server starting up. :/

    Code (Text):
    [15:53:59] [Server thread/ERROR]: Could not load 'plugins/CityWorld.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/daddychurchill/CityWorld/CityWorld : Unsupported major.minor version 52.0
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[spigot.jar:git-Spigot-"e6678c7"]
        at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:336) ~[spigot.jar:git-Spigot-"e6678c7"]
        at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:258) [spigot.jar:git-Spigot-"e6678c7"]
        at org.bukkit.craftbukkit.v1_8_R1.CraftServer.loadPlugins(CraftServer.java:288) [spigot.jar:git-Spigot-"e6678c7"]
        at net.minecraft.server.v1_8_R1.DedicatedServer.init(DedicatedServer.java:152) [spigot.jar:git-Spigot-"e6678c7"]
        at net.minecraft.server.v1_8_R1.MinecraftServer.run(MinecraftServer.java:496) [spigot.jar:git-Spigot-"e6678c7"]
        at java.lang.Thread.run(Thread.java:745) [?:1.7.0_55]
    Caused by: java.lang.UnsupportedClassVersionError: me/daddychurchill/CityWorld/CityWorld : Unsupported major.minor version 52.0
        at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.7.0_55]
        at java.lang.ClassLoader.defineClass(ClassLoader.java:800) ~[?:1.7.0_55]
        at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142) ~[?:1.7.0_55]
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:449) ~[?:1.7.0_55]
        at java.net.URLClassLoader.access$100(URLClassLoader.java:71) ~[?:1.7.0_55]
        at java.net.URLClassLoader$1.run(URLClassLoader.java:361) ~[?:1.7.0_55]
        at java.net.URLClassLoader$1.run(URLClassLoader.java:355) ~[?:1.7.0_55]
        at java.security.AccessController.doPrivileged(Native Method) ~[?:1.7.0_55]
        at java.net.URLClassLoader.findClass(URLClassLoader.java:354) ~[?:1.7.0_55]
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:101) ~[spigot.jar:git-Spigot-"e6678c7"]
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86) ~[spigot.jar:git-Spigot-"e6678c7"]
        at java.lang.ClassLoader.loadClass(ClassLoader.java:425) ~[?:1.7.0_55]
        at java.lang.ClassLoader.loadClass(ClassLoader.java:358) ~[?:1.7.0_55]
        at java.lang.Class.forName0(Native Method) ~[?:1.7.0_55]
        at java.lang.Class.forName(Class.java:270) ~[?:1.7.0_55]
        at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:64) ~[spigot.jar:git-Spigot-"e6678c7"]
        at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[spigot.jar:git-Spigot-"e6678c7"]
        ... 6 more
     
     
  8. That looks like the classic Java version mismatch errors. It looks like based on the spew, you might be running an earlier Java version. The spigot folks strongly recommend using the latest Java.
     
  9. Weird, I'll have to talk to my host then. Every other plugin I have on Spigot is working fine though, so I'm confused.
     
  10. They are pushing plugin folks towards JDK8 & JRE8, if I am reading the spew right you are running 7

    There is a java "compiler" flag that might work around this but I thought I already set it. Let me look this weekend and see if I can make the plugin happier with folks running pre8.
     
  11. Yeah - I have a fork that adds vines in the decayed parts for a more nature look.
     
  12. I know some major server networks use 1.7 still :/
     
  13. It looks like the flag got reset when I updated Java/Eclipse/etc. during the Spigot switch. I will post an update this weekend.
     
  14. I looked at it, but the version you use are "a bit" outated nope ? x)
     
  15. Not the one I have here ;) Once I tidy a couple of 1.8 bugs up I'll let you know.
     
    • Like Like x 1
  16. Uhuh, interesting <3 !
     
  17. Just about to
     
  18. Try with 2.994, it should now work for you.
     
  19. Hey man, I just made an account to talk to you about this.
    I'm getting some REALLY odd chunk generation. More specifically, the lack of chunk generation. Here's a picture: http://i.imgur.com/faVgHuR.png
    Weird huh? They are pretty common in my world. Luckily when I do /citychunk regen they go away, but I think this issue is something deeper than a simple error on my part, maybe a bug? Waiting for your feedback. Thanks.